Subject: RE: FW: [Re: [Ieprep] ieprep-requirements-01 - reqs 6-10 - discussion request]

From: "Ayyasamy, Senthilkumar (UMKC-Student)" <[email-masked]>
Date: Sat, 9 Nov 2002 20:11:39 -0600

> > But, we should also remember that telephone networks are the major
> > ones to be affected. One of the major reason for the robustness of
> > Internet is the redundancy among ISP ( which is not the case in
> > PSTN network.) In NY area, verizon was the hot spot/congestion point
> > as all carriers junction at verizon.
> 
> Hmm.  Not sure what you mean by "carriers" and what you mean by 
> "verizon".
> "carrier" could mean either telephone company or ISP given 
> the preceding
> text.  Verizon is a firm, not a location.

Sorry for mis-interpreting the terms.

After a long search, I got the link..
Please go through 
http://www.merit.edu/mail.archives/nanog/2002-08/msg00131.html
http://www.nytimes.com/2002/08/06/nyregion/06TELE.html
>From the NY times article

" Telecommunications networks in Lower Manhattan remain vulnerable to 
major failures in the event of a disaster, even if it were to occur on a 
smaller scale than the World Trade Center attack, according to a report 
scheduled to be released today.The report, compiled by a group of downtown 
executives, concludes that a lack of redundant telephone and digital 
communication networks was a factor in the loss of telephone service to 
thousands of residents and businesses after the attack.
<snipped>
The report urges landlords and businesses to establish backup systems that 
would include a wireless network. It also encourages telephone carriers to 
set up systems that do not connect with the Verizon network, which provides 
most of the major communication links in the city.

Before Sept. 11, the report says, many of the 34,000 customers who would 
lose telephone and Internet service on the day of the attack were convinced 
they would not suffer a communications blackout in a major disaster because 
they did business with multiple carriers. 
But those customers did not realize that most of their lines, regardless of 
the carrier, ran through a Verizon central office on West Street that was 
damaged by the collapse of 7 World Trade Center.

Verizon operates the largest telephone and data communications network in 
the city. State deregulation has allowed competitors to enter the market, but 
most of those companies lease lines from Verizon, which means almost all the 
lines in the city run through the same conduits and switching offices. 
The report recommends that other carriers build large networks completely 
separate from Verizon's. One company, Con Ed Communications, has already 
installed a fiber optic telecommunications network in conduits controlled by 
its parent, Consolidated Edison Company. But most other competitors have said 
such a move would be too costly."

I guess, no one have seen the report till now..thats the good thing 
about press.

> > Although, failure analysis in BGP was well studied by 
> Ahuja/labovitz, 
> > it was
> > not done for intra-domain(link state) network ( as 
> reconvergence time 
> > is less
> > when compared to inter-domain.) But It is necessary to study them, 
> > both for
> > helping researchers/operators.
> 
> 	Inside an ISP, I-BGP is used internally in addition to 
> an IGP -- and 
> I-BGP
> is more significant to the convergence of the routing system as 
> perceived
> by customers/users.

This is an active area of research too.
 - studying the interaction of I-BGP and IS-IS 
 - Correlating I-BGP/IS-IS updates with routing dynamics(churn)
Actually, studying the difference in propagation behaviour of I-BGP 
and E-BGP will help in creating a better BGP. But, everything 
is speculative at present stage..

Coming to your observation, I don't know which is more
significant to convergence as perceived by an user. But,convergence
of IGP system is also important ( which they call as milli-second
convergence..) Especially  studying the impact of HELLO timers and 
route computation on IS-IS convergence...pkt design Alaettinoglu and 
van Jacobson worked on milli-second convergence sometime back.

> 	Several operators have defined both "service 
> availability" and "SLA".

I always have this doubt. Do people really see all this 5 9s
(availability) issue?

> > - Learning Objective functions for OSPF weight optimization
> >   ( helps researchers/operators)
> 
> Not clear what you mean by "Learning Objective functions".

I was referring to the objective function, which is used for
optimizing OSPF weights. Studying some of the failure cases will
throw light into service availability ( namely rate of failures 
and things.) This information may form the basis for indentifying
the "correct" objective function, which truely reflects the
network condition.

For example, ATT's Netscope does traffic engineering by optimizing
OSPF weights. They got the objective funtion by talking with their
network engineers..
(http://www.research.att.com/~jrex/papers/ieeecomm02.long.pdf
Look for the objective function listed in section 3.2. It was 
obtained on discussion with ATT backbone engineers.)

I guess, we had a discussion in e2e mailing list about this issue.

> > - Recently, alternate routing - In application layer, it is
> > feasible (TRIP ) but in Network layer, not possible in near future.
> 
> I do not understand your meaning.

Dynamic routing in application layer( TRIP) is feasible, while it
is not possible in Network layer(QoS routing) at present.

> 	And it would still help if we could get more specific, clear 
> documentation
> on the GETS-like or IEprep-like services in use or 
> contemplated for use 
> in
> countries other than US and JP.  

The IAA system will be very useful at times. We can even help
them standardize the meta-data records/querying&searching formats
to be used in a IAA distributed database. But, scalability of IAA 
system is still questionable.

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep

---

From: RJ Atkinson <[email-masked]>
Date: Sun, 10 Nov 2002 08:36:36 -0500

On Saturday, Nov 9, 2002, at 21:11 America/Montreal, Ayyasamy, 
> damaged by the collapse of 7 World Trade Center.

This sounds like an issue where any RBOC has most of the last-mile 
connectivity
and that connectivity is normally concentrated in the RBOC's central 
office.

If that's a correct reading of the quoted text, one alternative is to 
use a
facilities-based CLEC (traditional US examples include MFNX, Yipes, 
Telseon)
and to ensure true path diversity.

[Aside:  The ISPs I was talking with last Thursday go to a lot of 
trouble
to ensure that they have true physical path diversity for their 
long-haul fibre.
Since those are facilities-based carriers, they have certain knowledge 
of where
their fibre runs.  Even so, there can be choke points.  See the 
Baltimore fibre
cut of a while back for one example of a choke point.]

> obtained on discussion with ATT backbone engineers.)

My impression has been that few ISPs actually optimise their link-state
routing weights (ISIS or OSPF).  My previous employer did do this.  It
worked well, but it is not trivial to get the weights right.

> is not possible in Network layer(QoS routing) at present.

I'm sure I don't understand that sentence.  Network-layer routing,
such as RIP/OSPF/ISIS/BGP is the epitome of dynamic routing.  That's
one of the main reasons the network behaved so well on 9/11.  You
must be meaning something different that I can't understand from
the above sentence.  Terribly sorry.

> system is still questionable.

One can question anything.  What is your particular concern and what
is the basis for that concern ?

Ran
[email-masked]

---

From: Rex Buddenberg <[email-masked]>
Date: 12 Nov 2002 08:57:25 -0800

On Sat, 2002-11-09 at 18:11, Ayyasamy, Senthilkumar (UMKC-Student)
wrote:
<snip>
> I always have this doubt. Do people really see all this 5 9s
What do you mean by 'do people really see'?  If you are speculating that
this is an unrecognized requirement, then YES.  

Indeed, I'm suspecting that the fog is here in this WG too -- if an ISP
got the Ao right, a lot of the congestion issues would be NOPs. That's
certainly my experience in my former life (USCG).